Bug 630069 - (CVE-2010-2766) CVE-2010-2766 Mozilla Crash and remote code execution in normalizeDocument (MFSA 2010-57)
CVE-2010-2766 Mozilla Crash and remote code execution in normalizeDocument (M...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
public=20100907,reported=20100901,sou...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-03 12:01 EDT by Josh Bressers
Modified: 2015-08-19 04:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-12 17:37:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2010-09-03 12:01:40 EDT
Security researcher regenrecht reported via TippingPoint's Zero Day
Initiative that code used to normalize a document contained a logical flaw
that could be leveraged to run arbitrary code. When the normalization code
ran, a static count of the document's child nodes was used in the
traversal, so a page could be constructed that would remove DOM nodes
during this normalization which could lead to the accessing of a deleted
object and potentially the execution of attacker-controlled memory.
Comment 1 Vincent Danen 2010-09-07 19:29:30 EDT
This is now public:

http://www.mozilla.org/security/announce/2010/mfsa2010-57.html
Comment 2 errata-xmlrpc 2010-09-07 20:34:09 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0681 https://rhn.redhat.com/errata/RHSA-2010-0681.html

Note You need to log in before you can comment on or make changes to this bug.